Emitted when one or more items of a particular DomainUser's presence state were set.

### Hierarchy

- PresenceStateSetEvent

### Implements

- IPresenceEvent

## Index

### Constructors

- constructor

### Properties

- name
- state
- user
- NAME

## Constructors

### constructor

- new PresenceStateSetEvent(user: DomainUser, state: Map<string, any>): PresenceStateSetEvent

- #### Parameters

  - ##### user: DomainUser

  - ##### state: Map<string, any>

  #### Returns PresenceStateSetEvent

## Properties

### name

name: string = PresenceStateSetEvent.NAME

Implementation of IPresenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### state

state: Map<string, any>

The entire new state (as opposed to only the items that changed) for the user.

### user

user: DomainUser

Implementation of IPresenceEvent.user

The user associated with the presence event.

### StaticNAME

NAME: "state_set" = "state_set"